const conf = require('./webpack.config');

conf.entry = {};
conf.output = {};
conf.devtool = 'inline-source-map';
conf.plugins = [];
conf.externals = {};

module.exports = function (config) {
  config.set({
    browsers: [ 'PhantomJS' ],
    singleRun: true,
    frameworks: [ 'jasmine' ],
    files: [
      'src/tests.webpack.js'
    ],
    preprocessors: {
      'src/tests.webpack.js': [ 'webpack', 'sourcemap' ]
    },
    reporters: [
      'spec',
      'coverage'
    ],

    webpack: conf,
    coverageReporter: {
      dir: 'build/coverage/',
      type: 'html'
    },
    webpackServer: {
      noInfo: true
    }
  });
};